¿Problemas con tu Tarjeta ATI? ¿Drivers Libres o Propietarios? [Soluciones Acá]

Imagen de 1antares1
0 puntos

[ ..::SOLUCIONES UBUNTU::.. ]

_______________________________________________________________________________________

Mi Comunidad Ubuntera, creo que muchos recuerdan la receta que publiqué hace ya algunos meses sobre:

"Instalación de Drivers de ATI [Tarjetas Soportadas - HD] -Drivers Propietarios-"

Tema:

http://www.ubuntu-es.org/node/141017

Se encuentra un poco des-actualizado y con algunos que otros detalles que faltaron por corregir, que podría confundir a muchos usuarios que inician su mundo en Ubuntu y tienen inconvenientes en instalar un Driver ATI que se hace muy fácil y rápido con las soluciones que propondré por experiencia personal con Ubuntu desde ya hace mucho tiempo.

No crearé ninguna guía o tutorial, ya que algunos de acá, podría tener Tarjetas antiguas o Chipsets arcaicos, como también Tarjetas que relucen ahora como los que son, el HD para adelante y pués, tendría que hacer 2 guías en la que con el tiempo se volverá obsoleto.

Constantemente estoy en la instalación y actualización de Drivers ATI para mi Tarjeta HD 4670, sea bajando el driver de su web (Recomendado), el FGLRX del Repositorio o agregando un Launchap.

_______________________________________________________________________________________

Invito a todos lo de ésta comunidad, que si tienen algún problema, duda por aclarar o inconveniente con la instalación y manejo de drivers, éste es su espacio.

Éste Tema estará abierto para aquellos que posean conocimientos básicos en el inicio de Ubuntu y estén con dudas con los Drivers para su Tarjeta Gráfica.

Acá les dejo algunos requisitos antes de publicar sus cuestiones:

-Publicar Modelo de la Tarjeta [Si es HD, publicar Versión. Y sino, también.].
-Versión de Ubuntu,
-Problemas presentes detallados [Que hizo antes... Como está ahora.... Como funciona su Sistema...]
-¿Sabe que es un .run?

_______________________________________________________________________________________

Trataré de resolver todos sus inconvenientes acá con la mayor paciencia y atención posible.

Estoy en creación de una guía muy práctica en .pdf para publicarla acá, pero aún los estudios me frenan tiempo y a inicios de Diciembre, estaré plenamente con el trabajo de ésta y otras Guías para ustedes, con mayor información de facilidad y eficacia para todos y todas acá.


- Comenzamos y se los dejo a ustedes....... 
- Espero sus Dificultades y les otorgaré las mayores soluciones posibles.

Saludos!

Imagen de Harima 3
+1
0
-1

Publicar Modelo de la Tarjeta [Si es HD, publicar Versión. Y sino, también.].
-Versión de Ubuntu,
-Problemas presentes detallados [Que hizo antes... Como está ahora.... Como funciona su Sistema...]
-¿Sabe que es un .run?

Tengo una tarjeta ATI Randeon HD 3200 con un procesador AMD Athlon X2 de 64, mi version de ubuntu es la 10.10, mis problemas mas que nada son cuando utilizo mi pantalla completa, cuando quiero jugar, cuando cargo algun video todo se alenta me consume un exceso de ram (algunos dicen que es normal) y pues no se, siento que la tarjeta esta mal configurada ya que con mi antiguo sistema operativo corria todo de maravilla, entonces estoy seguro que lo he instalado mal =/... instale el software privativo y nada =/ espero que me puedas ayudar y por ultimo si se que es un .run xP

+1
0
-1
Imagen de 1antares1
+1
0
-1

A ver, Vamos por parte ;)

Los archivos .run son asistentes, normalmente gráficos, que ayudan a la instalación.

Así también como hay .deb's (Paquetes Debian's y Derivados "Ubuntu") .sh, son otros de los archivos más usados en sistemas basados en Unix, aunque se ha difundifo mas bien como un lenguaje de script.

El Driver Privativo de ATI es un .run (De código cerrado), y tendrías que bajarlo de su página web:
http://support.amd.com/us/gpudownload/Pages/index.aspx

Actualmente se encuentra la versión 10.11, que han arreglado varios fallos y funcionan mejor. Siempre es recomnedable tener los últimos paquetes, cuando se habla de controladores y más cuando se trata de Tarjeta Gráfica.

¿Que driver bajaste e instalaste? ¿Bajaste el 10.11? ¿Instalaste los paquetes para tu versión o lo instalaste directamente? (Éste último es importante).

Siempre es importante generar los paquetes para la Distribución y versión del Ubuntu acorde.

A ver. ¿Tienes acleración 3D? ¿Tienes ATI Control Center Catalyst? Verifica en Sistema > Preferencias...

Avísame para solventar el inconveniente. También puede ser que hayas instalado Ubuntu 32bits y no te aproveche totalmente tu procesador y la tarjeta gráfica.

¿Qué versión de Ubuntu 10.10 posees?

+1
0
-1

30 de Marzo 2008 - [Gabi & José] | Numeoli

Sólo hay 2 clases de personas. Las que piensan que hay 2 clases de personas y las que no.

Imagen de vttsa
+1
0
-1

Primero, enhorabuena por dedicar parte de tiempo a ayudar a la gente, y más aun cuando hablamos de linux,
aunque aptitud veo que no t falta, pero en fin, me dejo de dedicatorias y voy al grano:
(He googleado varias veces pero no he encntrado alguna solución por lo menos para mi valida)
Tengo la tarjeta ATI HD radeon 5870 (que según he comprobado en google, es unas de las que, segun algunos tienen problemas de drivers ), tengo una particion de ubuntu y otra windows (para juegos), en los 2 sistemas me la pega!, si, si, sin piedadl!. En windows si juegos al call of duty no hay problemas, pero sin embargo, si emulo dolphin o algun juego como el zuma, por ejemplo, rayas grises y colgada. En ubuntu que es el que utilizo para el resto, si son videos, fotos y funciones típicas(copiar, comprimir, etc...)no hay problema, pero si utilizo photoshop cs5, inkscape, scribus, colgada otra vez!. He probado con los 2 privativos que me salen en controladores adicionales, los libres y me he descargado el último catalyst center (para comprobar si por casualidad solucionase el problema) desde AMD/ATI soporte, tal como he visto en los pasos que has dado a algunos compañeros del foro. El catalyst me lo instala, pero al ver la version en la interfaz del catalyst compruebo que es la 11.8 y la que yo he instalado es la 12.3, Qué pasa? También he generado paquetes del archivo descargado (tal como tu lo has descrito) pero cuando casi está instalado alguno de los paquetes me dice que no se puede instalar. Necesito borrar el xorg, o quizás algun otro? Es que no desinstala completamente el catalyst center? Desde luego la próxima compra, creo que apostaré por NVIDIA de nuevo, ya que mi experiencia con ATI deja mucho que desear!

+1
0
-1
Imagen de Harima 3
+1
0
-1

No se que version de ubuntu poseo, creo que instale los ATI 10.9 si tengo control sistem catalyst.
Donde veo que version tengo??

+1
0
-1
Imagen de Harima 3
+1
0
-1

tengo de 64 bits ya vi como XD

+1
0
-1
Imagen de 1antares1
+1
0
-1

Ok, vamos hacer algo mejor, antes de comenzar.

Bájate la versión 10.11 de ATI (.run) para GNU/Linux en su página:

http://support.amd.com/us/gpudownload/Pages/index.aspx

Primero, comenzaremos instalando los drivers, pero los actualizados que vienen con varios reparos de BUGS y con aún mejor rendimiento.

Avísame cuando lo hayas bajado y luego de bajarlos, recuerda borrar los anteriores:

cd /usr/share/ati

sudo ./fglrx-uninstall.sh

o

./fglrx-uninstall.sh

Como también podrías:

sudo apt-get remove --purge all fglrx-xorg-xserver

Saludos!

+1
0
-1

30 de Marzo 2008 - [Gabi & José] | Numeoli

Sólo hay 2 clases de personas. Las que piensan que hay 2 clases de personas y las que no.

Imagen de Harima 3
+1
0
-1

ya descargue el driver ATI 10.11

ninguno de esos comandos me dejan desinstalar los ati =/
creo que tengo los privativos

+1
0
-1
Imagen de 1antares1
+1
0
-1

¿Vez en el menú de aplicación en > Sistema > Preferencias, el ATI Control Center Catalyst?

Si no puedes desinstalarlo o no te agarra el código, es por que seguro tienes los Drivers Libres.

Entra a Consola "Terminal" y coloca éste comando:

*-display

O

sudo lshw -C display

Y te mostrará algo como ésto:

description: VGA compatible controller
       product: NV34 [GeForce FX 5500]
       vendor: nVidia Corporation
       physical id: 0
       bus info: pci@0000:01:00.0
       version: a1
       width: 32 bits
       clock: 66MHz
       capabilities: pm agp agp-3.0 bus_master cap_list rom
       configuration: driver=nvidia latency=248 maxlatency=1 mingnt=5

Ponlo y me avisas el resultado a ver que Driver manejas actualmente.

+1
0
-1

30 de Marzo 2008 - [Gabi & José] | Numeoli

Sólo hay 2 clases de personas. Las que piensan que hay 2 clases de personas y las que no.

Imagen de Harima 3
+1
0
-1

me salio esto:

description: VGA compatible controller
product: RS780M/RS780MN [Radeon HD 3200 Graphics]
vendor: ATI Technologies Inc
physical id: 5
bus info: pci@0000:01:05.0
version: 00
width: 32 bits
clock: 33MHz
capabilities: pm msi vga_controller bus_master cap_list rom
configuration: driver=fglrx_pci latency=0
resources: irq:18 memory:d0000000-dfffffff ioport:9000(size=256) memory:cfdf0000-cfdfffff memory:cfe00000-cfefffff

+1
0
-1
Imagen de Fevax
+1
0
-1

Hola! Soy nuevo en el tema Ubuntu/linux, resulta que descague la version notebook de ubuntu 10.10 y la la instale como sistema pricipal o sea es el unico sistema que tiene (por ahora).
bueno despues de la instalacion el sistema funciona perfecto pero no puedo instalar los drivers de video ati, mi notebook es una Compaq cq42-121la y tiene una grafica ATI mobility radeon HD 4250...
al habilitar los drivers desde el mismo ubuntu funciona pero las ventanas se me doblan horizantalmente y si instalo el driver de ATI con el archivo .run el sistema no arranca y me queda solo el fondo de pantalla, por cierto en el arraque cuando la pantalla se pone violeta y aparece el logo de ubuntu en el medio ahora solo aparece escrito ubuntu con letras grandes y feas!! jejej
la verdad ya no se que hacer... y no quiero volver al seven >_<

*-display
description: VGA compatible controller
product: M880G [Mobility Radeon HD 4200]
vendor: ATI Tecnologies Inc
Physical id: 5
bus info: pci@0000:01:05.0
version: 00
width: 32 bits
clock: 33mhz
capabilities: pm msi vga_controller bus_master cap_list rom
configuration: driver=radeon ltency=0
resources: irq:18 memory:c0000000-cfffffff ioport:3000(size=256) memory:d030ffff memoy:d0200000-d02fffff

(lo copie a mano asi que espero que sirva la info!! xP

+1
0
-1
Imagen de 1antares1
+1
0
-1

Hola Fevax, Bienvenido.

Primero, el Driver que instalaste desde el repositorio, creo que es el driver libre, si no me equivoco:

xserver-xorg-video-radeon.

Ya que con la información escrita, me dice:

configuration: driver=radeon ltency=0

Radeon = Driver Libre. Y el driver privativo, es FGLRX.

Al instalar el .run, (driver privativo), es normal que desconfigure la pantalla de inicio, llamada "Plymouth", cambia totalmente éso y la coloca con una resolución fea con color morado sólido, es normal. Eso es sólo el Plymouth, como cambiar un fondo de pantalla, luego de ésto, te diré como acomdarlo y a tu gusto, es sólo unos cambios de resolución.

La instalación con el .run, no debe hacerse directa, es decir:

"Instalar automáticamente" > No es recomendable.

Ya que sobrentiende que es el GNU/Linux en general, una Distribución en general, sea Fedora, Suse, RedHat o Ubuntu, lo reconocerá por defecto en general.

Antes de instalar el .run, hay que generar los paquetes para la Distribución específica de su uso, para que pueda generar los paquetes automáticamente para la compilación y pueda hacer una instalación correcta, cosa que no hace en una "Instalación Automática". Es decir, al hacerla "Automática", generaliza que todos los paquetes, patch´s y demás, se encuentran instalado correctamente, cosa que no es así si no conocemos del tema o aún no lo hemos hecho.

¿Has bajado el .run 10.11?

Avísame para comenzar pacientemente y de 0 la instalación limpia y completa del Driver. Para darte los pasos, son sólo 2 no más. Es lo más fácil de lo que crees, no te coloco los pasos, por que no quisiera enredarte con la explicación anterior y quiero que comprendas antes la desconfiguración reciente que tuviste.

Baja el driver .run 10.11 y avísame! (Soy muy estricto con ésto, por que han arreglado muchos bugs y es aún más estable).

Saludos!

+1
0
-1

30 de Marzo 2008 - [Gabi & José] | Numeoli

Sólo hay 2 clases de personas. Las que piensan que hay 2 clases de personas y las que no.

Imagen de Fevax
+1
0
-1

Gracias por responder!

Si la versión que tengo descargada es la "ATI Catalyst™ 10.11 Proprietary Linux x86 Display Driver" lo único que ya la había renombrado a ati-driver.run para que me sea mas fácil instalarla ;)

ya lo había instalado al driver y después lo volví a sacar.. es mas ya hice varios intentos de todo tipo.. así que cuanto mas especifico mejor y mas agradecido!! ^^

+1
0
-1
Imagen de 1antares1
+1
0
-1

Ok.

- Renombra el ati-driver.run a ati.run, mucho más fácil aún.

- Copialo al escritorio,

- Abre la Consola o el Terminal,

- Colocarás:

cd Escritorio

"Esto te mandará a la ruta del Escritorio"

- Luego, vamos a la instalación específica del Driver para tu Distribución:

sudo sh ./ati.run --buildpkg Ubuntu/maverick

Te pedirá contraseña y la colocarás.

¿Y aquí que irá hacer?

Lo que hará es generar directamente todos los paquetes para instalar el driver. Pero el verificará tu Distribución y automáticamente generará e instalará TODOS los path's y Paquetes para poder hacer la compilación e instalción del Driver completa y correctamente.

Ahí te pedirá contraseña para bajar algunos paquetes, espera que los baje y los instale. Te generará al final unos paquetes al escritorio, algunos semejantes a éstos nombres:

fglrx_8.783-0ubuntu1_amd64.deb,
fglrx-dev_8.783-0ubuntu1_amd64.deb
fglrx-modaliases_8.783-0ubuntu1_amd64.deb
fglrx-ccc......

No te asustes por los números o versiones, es un ejemplo de los paquetes que te generará, es decir, te descargará 4 paquetes al escritorio, con sus nuevas versiones. Lo colocado anteriormente es un ejemplo de un Driver ATI más antiguo, pero la acción es la misma.

El comando anterior:


sudo sh ./ati.run --buildpkg Ubuntu/maverick

"sudo" = Entra con privilegios administrativos. "sh" Para dar permisos chmod 777 al archivo y poder acceder, leer y escribir. "./ati.run --buildpkg Ubuntu/maverick" = Abrirá el -run- y automáticamente generará los paquetes para tu Distribución 10.10 que seguro es Maverick.

Luego de terminar el proceso, instalaras los 4 paquetes 1 a 1. Como un instalador normal. Doble clic e instalar. Cuando termines de instalar los 4 paquetes, reinicia la PC.

Al reiniciar, ya debes tener el driver instalado. Pero antes debes generar el Xorg para que pueda trabajar el Driver FGLRX de la ATI y con mayor confianza, decir que está activado el Driver y puedas hacer las configuraciones deseadas después.

- Abrirás el Terminal e introducirás:

sudo aticonfig --initial

Te dirá que generará un xorg.conf a la ruta: /etc/X11

Entras alli y verifica que se encuentre el xorg.conf.

Puedes entrar normalmente con:

- ALT + F2 Y escribirás:

-

gksu nautilus /etc/X11

Y enter!

Verificas el xorg.conf

El Xorg es el archivo de configuración entre tu hardware y el software gráfico que quieras ejecutar. Actualmente no es necesidad tener un Xorg para hacer funcionamiento del sistema, pero es mejor tenerlo y no necesitarlo, que necesitarlo y no tenerlo ;)

Sólo verifica que esté el contenido por defecto creado por ATI y que en la sección de Driver, diga:

"fglrx"

Y para comprobar desde consola la aceleración 3D, colocas:

glxgears

Y verás los FPS generado por el sencillo benchmark.

Si no has podido abrirlo, seguro tendrías que instalar "mesa-utils" que igual te lo pedirá. Lo instalas y luego vuelves a probar.

Bueno, si el proceso ha ido correctamente hasta ahora, hazmelo saber! Para luego andar para la configuración y personalización del Plymouth = Imagen de pantalla de inicio.

Espero haber sido explicito y especifico. Si tienes alguna duda, problema o confusión, acá no te faltarán respuestas.

Procede y avísame ;)

Saludos!

+1
0
-1

30 de Marzo 2008 - [Gabi & José] | Numeoli

Sólo hay 2 clases de personas. Las que piensan que hay 2 clases de personas y las que no.

Imagen de nanchuu
+1
0
-1

Hola Antares!

Aca estuve siguiendo tu tutorial y anduvo todo perfecto, pero me quede en la parte del Plymouth. Ya habia estado averiguando bien como hacerlo porque instale burg, y con mi anterior placa no tenia nativamente el soporte para la resolucion, asi que estuve trabajando con la configuracion de grub/burg, initramfs y demas yerbas (hasta hice un post en mi blog sobre eso http://nanchuu.blogspot.com/2011/03/arreglar-el-splash-screen-en.html) pero ahora parece no funcionarme, ya que haciendo hwinfo no me sale la resolucion que yo tengo (nota: antes de instalar los drivers de ATI el splash andaba excelente, con la resolucion que debe ser)

Estoy corriendo Kubuntu 10.10 en una Acer 5552-5474 con placa de video ATI Radeon 4250 HD, la version de ATI catalyst que compile es la 11.2

Si necesitas algunos datos mas avisame y muchas gracias!

+1
0
-1
Imagen de amedz
+1
0
-1

Desde que instalé ubuntu 10.10 he tenido problemas con mi tarjeta grafica. Comenzó por no dejarme cambiar los efectos visuales, después me di cuenta que no tenia aceleración 3D y por ultimo, que los drivers nunca fueron los correctos. Despues de formatear varias veces el pc llegue hasta este post, y creo que puede solucionar mi problema.
He seguido todos los pasos que has mencionado para instalar el controlador, hasta llegar a probar la aceleración gráfica, en la que tras poner el comando glxgears me tira "Violacion de segmento". Ademas entre tus pasos mencionas:
"Sólo verifica que esté el contenido por defecto creado por ATI y que en la sección de Driver, diga:

"fglrx""

Eso tampoco lo logre.

Aqui van las caracteristicas que requerias..

description: VGA compatible controller
product: M880G [Mobility Radeon HD 4200]
vendor: ATI Technologies Inc
physical id: 5
bus info: pci@0000:01:05.0
version: 00
width: 32 bits
clock: 33MHz
capabilities: pm msi vga_controller bus_master cap_list rom
configuration: driver=fglrx_pci latency=0
resources: irq:18 memory:80000000-8fffffff ioport:7000(size=256) memory:92400000-9240ffff memory:92300000-923fffff

Espero tu respuesta...No quiero volver a windows 7! plis

+1
0
-1
Imagen de Fevax
+1
0
-1

" Luego de terminar el proceso, instalaras los 4 paquetes 1 a 1. Como un instalador normal. Doble clic e instalar. Cuando termines de instalar los 4 paquetes, reinicia la PC. "

Tengo un problema con eso... ya que todo lo que hago lo estoy haciendo desde la terminal porque no me inicia la interfaz gráfica del sistema... solo veo el fondo de pantalla y nada mas... :/

Igual al terminar de compilar los paquetes de dijo donde estan y sus nombres.. y a eso le saque una foto... ahora? como los ejecuto de forma normal? "sudo sh ./nombre del archivo.deb" asi seria? o como?

+1
0
-1
Imagen de 1antares1
+1
0
-1

Si estás en pantalla negra, sin gráfica, es por que no manejas ningún driver.

Lo que harás es, iniciar "Modo Recuperación" en el GRUB, te da la opción. (presiona SHIFT para que te salga el menú).

Luego que te salga las opciones, al final te aparecerá: "Root", entras allí.

Luego le darás:

Xorg -configure

"Recuerda la mayúscula al comienzo"

Y te generará un xorg.conf

Luego:

sudo nano /etc/X11/xorg.conf

Y ahí te aparecerá para editarlo, buscas en la parte de "driver" y colocas:

Driver "vesa"

Colocas el driver vesa, guardarás el xorg.conf con "CTRL + o" (Es O, no cero) y lo Reemplazas. Listo! Reinicias e inicia normalmente. Te arrancará la gráfica normalmente como "Gráfica Modo Seguro" - Driver Genérico de emergencia.

De ahí, todo el proceso que te comenté anteriormente.

__________________________________________________________________________

También puedes instalar todos los .debs que exista en la ruta que estés, por ejemplo, en el escritorio, de ésta manera:

sudo dpkg -i *.deb

Con éste comando, instalarás todos los .debs que se encuentra en la ruta que estés desde el terminal, en éste caso, el Escritorio = "cd Escritorio". Y de ahí, sigues el procedimiento por su paso correspondiente.

Pero te recomiendo la primera opción para que no te pierdas y así mismo, podrías hacer todo más rápido y ágil.

Igual, las 2 maneras, instalaras los paquetes. Verifica en el Menú Sistema > Administración > Ati Control Center Catalyst y el xorg.conf.

Procede y avísame. Saludos!

+1
0
-1

30 de Marzo 2008 - [Gabi & José] | Numeoli

Sólo hay 2 clases de personas. Las que piensan que hay 2 clases de personas y las que no.

Imagen de Fevax
+1
0
-1

La primera opción ya intente hacerla anteriormente... pero resulta que como instale el sistema como único no me aparece el GRUB o sino no se como entrar y tampoco encontré como hacerlo... creo que cada vez te voy agregando mas problemas!! jajaja al final me vas a decir que formatee!! jajajaj

+1
0
-1
Imagen de Fevax
+1
0
-1

*-display
description: VGA compatible controller
product: M880G [Mobility Radeon HD 4200]
vendor: ATI Tecnologies Inc
Physical id: 5
bus info: pci@0000:01:05.0
version: 00
width: 32 bits
clock: 33mhz
capabilities: pm msi vga_controller bus_master cap_list rom
configuration: driver=radeon ltency=0
resources: irq:18 memory:c0000000-cfffffff ioport:3000(size=256) memory:d030ffff memoy:d0200000-d02fffff

después de instalar todo me quedo así... y por cierto la tipografía del terminal se volvió grande como si estuviera en 640x420... jjejeje
pero todavía no me funciona el entorno del sistema :/

+1
0
-1
Imagen de Fevax
+1
0
-1

MASTER!!!!
Muchas gracias!!! ya esta funcionando de nuevo mi ubuntu!!!! ^^
lo que note es que no me deja habilitar los efectos visuales... dice que esta ejecutándose el silenciador... y las ventanas se ven asi...

http://img822.imageshack.us/img822/1042/pictureview.jpg

Catalyst me aparece instalado aunque no lo abrí por miedo!! :P

+1
0
-1
Imagen de Harima 3
+1
0
-1

bueno en mi caso me salio esto:

description: VGA compatible controller
product: RS780M/RS780MN [Radeon HD 3200 Graphics]
vendor: ATI Technologies Inc
physical id: 5
bus info: pci@0000:01:05.0
version: 00
width: 32 bits
clock: 33MHz
capabilities: pm msi vga_controller bus_master cap_list rom
configuration: driver=fglrx_pci latency=0
resources: irq:18 memory:d0000000-dfffffff ioport:9000(size=256) memory:cfdf0000-cfdfffff memory:cfe00000-cfefffff

+1
0
-1
Imagen de 1antares1
+1
0
-1

Harima 3

Sigue los pasos que acoté anteriormente en mi comentario:

http://www.ubuntu-es.org/node/144699#comment-410323

Luego de que completes la instalación de los nuevos drivers satisfactoriamente, les ayudaré a configurar el Xorg o personalizarlo para conseguir aún mayor rendimiento en la tarjeta, ya que hay algunos valores que están desactivado por defecto y necesitan habilitarse para conseguir el mayor potencial de la Tarjeta.

Consigan instalar los Drivers con los pasos nombrado anteriormente y luegos les ayudaré para acomodar el Plymouth y configurar el Xorg estrictamente ;)

Saludos!

+1
0
-1

30 de Marzo 2008 - [Gabi & José] | Numeoli

Sólo hay 2 clases de personas. Las que piensan que hay 2 clases de personas y las que no.

Imagen de Harima 3
+1
0
-1

a mi no me salio para instalarlos sino para actualizarlos desde el centro de software de ubuntu, asi esta bien?

Por los demas pasos ya los termine y el glxgears si me mostros los engranajes moviendose.
Espero sus siguientes ordenes master =D

+1
0
-1
Imagen de 1antares1
+1
0
-1

Claro! En el Repositorio de Ubuntu, está totalmente el FGLRX específicamente para Ubuntu.

No necesitas bajarlo ni compilarlo o extraerlo. Sólo que yo hago así ya que ATI tiene muchas versiones por encima y saca actualizaciones de sus drivers.

Siempre me gusta tener los últimos drivers de ATI instalados, más por que sus arreglos de pocos bugs y rendimiento mayor.

Como las versiones de Ubuntu son cíclicas, igual que otras Distros, como openSUSE o Fedora, las actualizaciones oficiales de los Drivers se encuentran obsoletos. Los drivers en el repositorio tienen como 4 o 5 versiones menos que las actualmente de la web oficial de AMD.

Pero no está mal, muchos sólo instalan la versión del repositorio y listo! Está funcional. Pero es por mi maña de tener los últimos drivers actualizados y bien configurados ;) Ya que me encuentro más confiado, y más con el tema de las ATI, que a cada momento tienes que tener en cuenta una actualización, ya que su soporte no es tan bueno que digamos.

Saludos!

+1
0
-1

30 de Marzo 2008 - [Gabi & José] | Numeoli

Sólo hay 2 clases de personas. Las que piensan que hay 2 clases de personas y las que no.

Imagen de Harima 3
+1
0
-1

sip, ahora espero tus ordenes para configurar mejor el xorg.conf =D

+1
0
-1
Imagen de Kmp
+1
0
-1

Te cuento el problema, resulta que hace poco me cambié a ubuntu, para personalizarlo un poco le instalé docky, y para solucionar un problema que tenía con el 3D Background instalé el driver propietario ATI, (la versión que mencions en las respuestas anteriores) eso si lo instalé sin desinstalar nada previamente y bueno el problema es que ahora no puedo activar efectos gráficos.

display me tira esto:

*-display
description: VGA compatible controller
product: M92 [Mobility Radeon HD 4500 Series]
vendor: ATI Technologies Inc
physical id: 0
bus info: pci@0000:01:00.0
version: 00
width: 32 bits
clock: 33MHz
capabilities: pm pciexpress msi vga_controller bus_master cap_list rom
configuration: driver=fglrx_pci latency=0
resources: irq:50 memory:d0000000-dfffffff ioport:2000(size=256) memory:fc000000-fc00ffff memory:fc020000-fc03ffff

Al parecer tendría problemas con OpenGL ya que al tratar de graficar algo usando Scilab tengo:

Due to your video card drivers limi
tations, that are not able to manage Op
enGL, Scilab will not be able to draw a
ny graphics. Please update your driver.

y en el control center de ATI Catalyst no me muestra ninguna versión de OpenGL.

Probablemente sea algo bien básico pero estoy recien partiendo con Ubuntu y no me manejo para nada aún.

Lo lamento por lo extenso del post y muchas gracias de antemano. Saludos!

PS: Al instalar el driver me solucionó el problema de los artifacts del docky pero me causó los problemas que describí arriba.

+1
0
-1
Imagen de 1antares1
+1
0
-1

No te preocupes por lo extenso. Lo que me importa es la explicación del mismo ;)

Dices ¿Tratar de activar Compiz, ahora te da error?

¿Podrías mostrarme un mensaje del error? Para especificar totalmente la solución posible para tu inconveniente, a ver si me suena familiar.

¿Instalaste totalmente el Driver de ATI? ¿Y lanzaste el comando aticonfig --initial y te lanzó el xorg.conf a /etc/X11?

¿Lanzaste el GLXGEARS (por consola) a ver si te da fps?

+1
0
-1

30 de Marzo 2008 - [Gabi & José] | Numeoli

Sólo hay 2 clases de personas. Las que piensan que hay 2 clases de personas y las que no.

Imagen de Kmp
+1
0
-1

Al tratar de activar los efectos de escritorio (ya sea normal o extra) me tira el siguiente error http://img822.imageshack.us/img822/6499/screenshot1a0.png (no supe sacar más información de ese error si la necesitas y sabes como me dices y la pongo).

Instalé totalmente el Driver de ATI, no había ejecutado ese comando que me dices pero al ejecutarlo me tira:

Found fglrx primary device section
Using /etc/X11/xorg.conf
Saving back-up to /etc/X11/xorg.conf.fglrx-2

Al ejecutar glxgears me tira esto:

X Error of failed request:  BadRequest (invalid request code or no such operation)
  Major opcode of failed request:  137 (GLX)
  Minor opcode of failed request:  19 (X_GLXQueryServerString)
  Serial number of failed request:  18
  Current serial number in output stream:  18

(Con mayúsculas definitivamente no lo reconoce)

Mira con los drivers por defecto que vienen con ubuntu no tenía ningún problema de activar los efectos gráficos de escritorio, también podía graficar en SciLab, instalé Docky y como tenía artifacts con el fondo 3d de ésta bajé los drivers de ATI y sin desinstalar nada previamente los instalé, con eso docky andaba (y sigue) perfecto pero ahora tengo el problema con los efectos y con open GL en general, como dije antes en ATI Catalyst no me muestra ninguna versión en ninguno de los campos de OpenGL. No sé en una de esas podría ser conveniente que volviera de ser posible a los drivers libres y empezar de nuevo (pero no sé como hacer esto).

Saludos y gracias por la respuesta.

+1
0
-1
Imagen de 1antares1
+1
0
-1

No te preocupes, volver a los Drivers Libres, dificil no es, sólo 2 pasitos.

Lo que te ocurre no es un problema de los drivers privativos, sino que cuando generas un XORG con el comando:

aticonfig --initial

El busca el xorg.conf que utilizas actualmente y agrega sus lineas de comando. Es decir, utiliza el xorg que tenias anteriormente con el driver libre RADEON y lo que haces es adicionar su configuración y ésta con el Driver Libre, te dará muchos problemas, e incluso, es 95% probable que no arranque el entorno gráfico (me pasó a mi) y de broma te arrancó a ti.

Lo que harás (si éste es tu inconveniente), es ir a la carpeta X11 y borrar todos los "xorg.conf" que veas, tanto los .backups como los .original. Nada más, lo que diga "xorg", PERO dejando el "xorg.conf.failsafe".

- Presiona ALT + F2

- gksu nautilus /etc/X11 (entra modo administrador)

- Borra los archivos nombrado anteriormente, borras el "xorg.conf" también, todo lo que contenga "xorg" a excepción del ".failsafe" (Éste es el de modo seguro), sólo archivos no carpeta.

- Luego, procede de nuevo a los paquetes de instalación 1 a 1 como lo lograste anteriormente.

- Reinicia la PC o Reinicia las X (Resetear el servicio gráfico sin reiniciar), con el comando:

sudo /etc/init.d/gdm restart

Listo! De ahí procedes a la consola y vuelves a completar el comando de ATI:

aticonfig --initial

Con ésto generará un xorg.conf de 0 y limpio totalmente para el driver FGLRX. De ahí, vuelves a reiniciar o reseteas el servidor gráfico.

Ahora verifica que poseas aceleración 3D:

glxinfo

Redundando el comando:

glxinfo

Y de ahí me lanzas los resultados de nuevo, a ver si éste era el inconveniente. Como le digo a todos de la comunidad: "Tómate tu tiempo, házlo con paciencia y recuerda hacerlo todo con letra minúscula".

Verifica los comandos, y si el procedimiento es correcto, me avisas el resultado.

Dale, procede y me avisas ;)

Saludos!

+1
0
-1

30 de Marzo 2008 - [Gabi & José] | Numeoli

Sólo hay 2 clases de personas. Las que piensan que hay 2 clases de personas y las que no.

Imagen de 1antares1
+1
0
-1

Fevax:

¿Así se ve tu pantalla o es la forma de captura de la imagen por la cámara?

No debería verse de ésa manera.

Dime algo:

¿Procediste a instalar los Drivers como el procedimiento que comenté anteriormente?

¿Tuviste algún trasteo en previo procedimiento? ¿Algún error?

¿Cómo sabes que tienes catalyst? Prácticamente el Centro de Control, no serviría para nada, prácticamente para mi es inservible, sólo lo resalto bastante en el tema (que aparezca en el menú), por que quiere decir que el proceso fue exitoso al instalar el Driver privativo, o al menos, procedieron a instalar los paquetes generados, es lo que me certifica la instalación correcta específica.

A ver, ¿Podrías mandarme el código de tu xorg.conf?

- ALT + F2

- gksu nautilus /etc/X11

Busca el archivo y pégame todo lo que tengas ahí. De aquí, verificamos con más precisión y problema del asunto. No puede andarte así la pantalla. Procede y avísame.

Para Harima 3, lo mismo.

Verifica que tengas Catalyst instalado correctamente y Pásame tu xorg.conf. Dime con cuanta memoria de Video trabajas (de cuanto es tu video), para luego pasarte el xorg.conf configurado y más personalizado de una manera óptima y mejor para el mejor funcionamiento, no es mucho, pero si mejora algunas cosas y la aceleración.

Saludos!

+1
0
-1

30 de Marzo 2008 - [Gabi & José] | Numeoli

Sólo hay 2 clases de personas. Las que piensan que hay 2 clases de personas y las que no.

Imagen de Kmp
+1
0
-1

Hice todos los pasos, ahora tengo en la carpeta X11 3 archivos xorg.conf, xorg.conf.failsafe y xorg.conf.orginal-0 lo del último comando glxinfo qué específicamente debería escribir? Con todos los pasos hasta ese sigue con el mismo problema. Te sirve el código de alguno de esos archivos?

Si es que te sirve acá hay una ima?en del Catalyst en el menú info:

http://img528.imageshack.us/img528/4204/screenshotcatalystcontr.png

Saludos y gracias nuevamente.

+1
0
-1
Imagen de Harima 3
+1
0
-1

mi xorg es este:

Section "ServerLayout"
Identifier "aticonfig Layout"
Screen 0 "aticonfig-Screen[0]-0" 0 0
EndSection

Section "Module"
EndSection

Section "Monitor"
Identifier "aticonfig-Monitor[0]-0"
Option "VendorName" "ATI Proprietary Driver"
Option "ModelName" "Generic Autodetecting Monitor"
Option "DPMS" "true"
EndSection

Section "Device"
Identifier "aticonfig-Device[0]-0"
Driver "fglrx"
BusID "PCI:1:5:0"
EndSection

Section "Screen"
Identifier "aticonfig-Screen[0]-0"
Device "aticonfig-Device[0]-0"
Monitor "aticonfig-Monitor[0]-0"
DefaultDepth 24
SubSection "Display"
Viewport 0 0
Depth 24
EndSubSection
EndSection

Pues mi acelerador grafico tiene lo maximo que me deja la bios, creo que a eso te refieres es de 264 megas, aunque igual puede ser de 128,64 y 32, pero como uso juegos le puese lo maximo. Creo que a eso te refieres, no? esto lo vi en la bios

+1
0
-1
Imagen de 1antares1
+1
0
-1

Ok. Que rápido y responsable ustedes jeje!

Kmp:

Borra xorg.conf.orginal-0 y xorb.conf, nada más!

Ahora, sigue los pasos que te comenté anteriormente.

- ) Reinicias o Reinicias el servidor.

- ) Reinstalas los paquetes del ATI que te generó anteriormente (Son 4 de los que hablamos)

-) Vuelves a reiniciar o reinicias el servidor X (Servidor Gráfico)

-) Generas el xorg.conf con el comando:

aticonfig --initial

-) Vuelves a reiniciar o reinicias el servidor X (más rápido éste último).

-) Verifica ahora en la consola el comando

glxgears

y

glxinfo

Verifica que ahora te de FPS el glxgears (El cuadro 3D de las ruedas de colores) y me pasas la información del glxinfo.

Luego vas de nuevo a la ruta /etc/X11 y pasame el xorg.conf (Lo que contiene ahora).

_____________________________________________________________________________

Para Harima 3:

Bien, eso era lo que necesitaba. Necesitaba tu memoria para la modificación del Xorg, déjala en 256 mb.

Ahora instalas el programa desde el Centro de Software o Synaptic:

mesa-utils
gtkperf

- Buscas el GTKperf en el menú de aplicaciones e Inicias el test y verás en cuanto te lo hace. (Resultado en Segundos).

También incias el comando: glxgears (Por consola) y cuando salga el cuadrito, dale clic's seguidos en el para que te genere los FPS máximos constantemente y verifica cuanto FPS te genera.

* Todo ésto es ANTES de la modificación del xorg que te pasaré.

Luego que copies el código al xorg.conf tuyo, reinicias la PC o reinicias el servidor gráfico (El GDM o KDM - Dependiendo si es Gnome o KDE) y haz de nuevo los test's o benchmark's y creo que habrá alguna pequeña diferencia.

No mucha, pero no si alguna pequeña mejora y más potencia en la video. No esperes ahora obtener un 75% de diferencia, pero si un 5% a 10%.

Copia éste código ahora:

Section "ServerLayout"
Identifier "aticonfig Layout"
Screen 0 "aticonfig-Screen[0]-0" 0 0
EndSection

Section "Module"
EndSection

Section "Monitor"
Identifier "aticonfig-Monitor[0]-0"
Option "VendorName" "ATI Proprietary Driver"
Option "ModelName" "Generic Autodetecting Monitor"
Option "DPMS" "true"
EndSection

Section "Device"

Option "AGPMode" "16"

Option "EnablePageFlip" "True"
Option "AccelDFS" "True"
Option "TripleBuffer" "True"
Option "AccelMethod" "EXA"
Option "DynamicClocks" "off"
Option "RenderAccel" "True"
Option "BusType" "PCIE"
Identifier "aticonfig-Device[0]-0"
Driver "fglrx"
BusID "PCI:1:5:0"
EndSection

Section "Screen"
Identifier "aticonfig-Screen[0]-0"
Device "aticonfig-Device[0]-0"
Monitor "aticonfig-Monitor[0]-0"
DefaultDepth 24
SubSection "Display"
Viewport 0 0
Depth 24
EndSubSection
EndSection

* Lo subrayado te lo coloco así, por que el AGPMode es dependiendo de lo que trabaje tu puerto.

Si es AGP 2x, 4x u 8x, o aún es PCI-express, es 16 como muestra allí. Coloca sólo el valor en que trabaja tu puerto AGP, si no tiene, borra la opción completa. Quíta la línea.

"Pero no tengo tarjeta expandible, es VideoRAM = Video Integrado".


Más vale que sobre, a que falte. Al colocar ésta opción, no habrá problema alguno. Si no lo necesita, pasará nada. Pero si lo necesita, habrá mejora.

* El BusType, va contenido con lo anterior. Si tienes AGP, colocas AGP, si tienes PCI Express, déjalo como PCI. Si no tienes ninguno de los 2, quita la línea también.

Ésto es casi innecesario si no tienes tarjeta gráfica adicional, casi se hace nulo, pero es más o menos para que TU y los demás tengan una idea, por si se acerca alguien con Tarjeta Gráfica expandida ;) Ya conocerá sobre el tema y saldrá de dudas.

Verifiquen, procedan y avisen.

Saludos!

+1
0
-1

30 de Marzo 2008 - [Gabi & José] | Numeoli

Sólo hay 2 clases de personas. Las que piensan que hay 2 clases de personas y las que no.

Imagen de Kmp
+1
0
-1

Me di cuenta de un error mio, estaba instalando los drivers directamente (no generando los paquetes porque me salté el post donde lo explicabas) ahora trato de generarlos pero me tira error (no los pude generar ni por consola ni por la opción queda el .run de generarlos para la distribución que uno elija.

Acá está el txt (http://www28.gigasize.com/getcgi.php?t=3c9cc2019e6629bcba41b3ef24f89c9f&...) que me genera con:

~/Desktop$ sudo sh ./ati.run --buildpkg Ubuntu/maverick > ati.txt

Estoy usando Ubuntu de 32 bits. (Es por la costumbre de windows que por lo menos hasta hace un tiempo había hartos problemas de compatibilidad con 32 bitsy pensé que en ubuntu podría tener menos problemas con 32). Si es recomendable prefiero partir con 64 bits (si en Ubuntu realmente se aprovecha el upgrade).

Ahora el tema de generar los paquetes no se por qué estará dando error.

Saludos nuevamente y se agradece la paciencia.

+1
0
-1
Imagen de 1antares1
+1
0
-1

La arquitectura no hay problema, igual el Driver viene predeterminado para las 2.

Un X86 puede trabajar en 32 y 64bits. Pero un X86_64 (64 bits), sólo sería compatible para un 64 bits.

Y ahora, la compatibilidad con 64bits no es problema. Todo se está haciendo para ésta arquitectura, ya que es la que mejor da rendimiento, pero es obvio tener más de 4GB de RAM por el consumo de sus aplicaciones.

Ahora. ¿Tu distribución es 10.10? ¿Maverick?

Si es así, copia el ati.run al Escritorio y escribe:

sh ./ati.run --buildpkg Ubuntu/maverick

Sin el ati.txt

También verifica que sea el ATI 10.11, creo que si lo tienes no?

Si deseas, puedes entrar en MODO SEGURO en el BOOT del Grub y inicias "Gráfico Seguro" y lo ejecutas desde allí. Prueba y avisas.

Saludos!

+1
0
-1

30 de Marzo 2008 - [Gabi & José] | Numeoli

Sólo hay 2 clases de personas. Las que piensan que hay 2 clases de personas y las que no.

Imagen de Kmp
+1
0
-1

Si, Ubuntu 10.10 Maverick Meerkat y el comando lo ejecuté antes sin el > ati.txt, eso solo lo puse después para que me tirara la salida a ese txt y poder ver si te servía de algo.

Y es el 10.11 la revisión del driver para x86. Luego voy a probar desde modo seguro a ver que pasa. Saludos!

+1
0
-1
Imagen de Kmp
+1
0
-1

En modo a prueba de fallos tego el mismo error, usando:

sh ./ati.run --buildpkg Ubuntu/maverick

(Con ati.run el .run renombrado en el escritorio), aparece la carpeta fglrx-install.EIfdHY pero en consola se muestran varios errores y la carpeta desaparece, lo mismo con el generador de paquetes del .run.

Saludos.

+1
0
-1
Imagen de Kmp
+1
0
-1

Usando el programa hardinfo me fijé que en Display > OpenGL Renderer Sale unknown no irá por ahí el problema? una consulta, con 4gb de RAM conviene el salto a 64 bits? qué se gana? y que se pierde fuera de un consumo base más elevado? Si vale la pena el cambio prefiero hacerlo ahora que recién empecé y el formateo sería bastante rápido ya que no hay prácticamente nada que respaldar, y ahí podría hacer una instalación limpia de los drivers.

Alguna recomendación? Saludos!

+1
0
-1
Imagen de 1antares1
+1
0
-1

No solo es por la memoria RAM, sino también por el procesador.

A ver ¿Tienes Intel o AMD? Si es Intel ¿Qué versión y Gama? ¿Soporta los 64 bits?

Esa carpeta que va creando, es temporal, se elimina automáticamente.

Creo que te hacen algunas dependencias para que pueda generar los paquetes perfectamente. Primero, dime que procesador posees a ver si te conviene una versión 64bits.

Con 64bits no perderás nada ni será incompatible o lento, al contrario. Con 64 bits el trabajo aún es mucho mejor, las aplicaciones abren con mayor rapidez y el sistema funciona con mayor potencia, ya que aprovechará los recursos al 100%. Y todos o el 98% de las aplicaciones para Ubuntu, trabajan con ambas arquitectura. Así que si posees 4GB de Ram con Procesador x64, adelante! Ésto es el futuro.

Saludos!

+1
0
-1

30 de Marzo 2008 - [Gabi & José] | Numeoli

Sólo hay 2 clases de personas. Las que piensan que hay 2 clases de personas y las que no.

Imagen de Kmp
+1
0
-1

Intel Core 2 Duo P8600, en windows terminé usando 64 bits pero como no sabía como andaba Ubuntu en el tema preferí irme más a la segura con 32 bits, pero si anda bien me cambio ahora que no pierdo nada. Igual ahora voy a tener más cuidado con los drivers para no tener el mismo error. Cuando instale el de 64 te aviso. Muchas gracias.

+1
0
-1
Imagen de ichi_the_killer
+1
0
-1

Copy/Paste del tema que abrí:

Después de varios años sin usar ubuntu por causas ajenas a mi voluntad (o sin unsarlo casi nunca más bien), llevo ahora un tiempo usándolo sin problemas en un portátil con Nvidia.
Pero ahora necesité instalarlo en un Dell inspiron 1526 y pensando que sería más fácil le puse ubuntu Maverick de 32 bits.

La información de mi hardware dice:

VGA compatible controller ATI techologies rs690m [Radeon X1200 series](prog if-00) [VGA controller)

En Sistemas - Administración - Controladores adicionales no detecta nada.

Cuando le doy a activar efectos de escritorio intenta buscar dispositivos y luego me dice que no se pudieron cargar los efectos de escritorio.

Intente entrar en /etc/x11/xorg.conf pero al parecer no tengo tal archivo.

He probado drivers de la web de ati, gplxr, radeon y nada funciona (Los de ATI directamente no logro hacerlos correr):

Error: ./default_policy.sh does not support version
default:v2:i686:lib::none:2.6.25-34-generic; make sure that the version is being
correctly set by --iscurrentdistro

Otro dato, por si sirve:

~$ sudo lshw -C display
PCI (sysfs)
*-display
description: VGA compatible controller
product: RS690M [Radeon X1200 Series]
vendor: ATI Technologies Inc
physical id: 5
bus info: pci@0000:01:05.0
version: 00
width: 64 bits
clock: 33MHz
capabilities: pm msi vga_controller bus_master cap_list rom
configuration: driver=radeon latency=64
resources: irq:19 memory:e0000000-efffffff memory:fe9f0000-fe9fffff ioport:ee00(size=256) memory:fea00000-feafffff

Que yo sepa ahora mismo tengo sólo vesa.

Gracias de antemano.

+1
0
-1

http://vestirmedepayaso.blogspot.com/ Cuentos y relatos breves.... Porque me hacía ilusión fingir que era escritor.

Imagen de 1antares1
+1
0
-1

Ok Gracias por la información, es lo que me gusta! Detallado y completo :P... Ahora vamos por parte.

En

Sistemas - Administración - Controladores adicionales

Es obvio que te saldrá nada, ya que los Drivers ATI privativos, que son los mismos FGLRX que salen en el repositorio, no tienen soporte para tarjetas antiguas, integradas o expandidas.

Aquí puedes ver la respuesta de ATI:

http://support.amd.com/us/gpudownload/linux/Legacy/Pages/radeon_linux.aspx?type=2.4.1&product=2.4.1.3.12&lang=English

Los drivers bajo HD 2000 no tendrán más soporte y se queda en la última versión que quedaron, en la Legacy, que tienen bastantes bugs por cierto y no funcionan como debería.

Para tu tarjeta, les funciona perfectamente el Driver Libre Radeon y es por ello que procedemos a la instalación.

Pero antes, verificamos si lo tenemos instalados. ¿Podrías buscar en tu repositorio, en Synaptic o Centro de Software de Ubuntu el:

xserver-xorg-video-radeon

A ver si aparece y si lo tienes instalado. Sino, trata de instalarlo, colocando éste nuevo repositorio:

ppa:ubuntu-x-swat/x-updates

Trate todas las actualizaciones y nuevos Drivers, sean Libres o propietarios, bien recomendado. Y de ahí, instalas el Driver Radeon y me avisas, para proceder a crear el Xorg, ya que éste es necesario si sabes que estás trabajando con Vesa por defecto. Son sólo unos que otros pasitos fáciles ;)

Saludos!

+1
0
-1

30 de Marzo 2008 - [Gabi & José] | Numeoli

Sólo hay 2 clases de personas. Las que piensan que hay 2 clases de personas y las que no.

Imagen de Kmp
+1
0
-1

Ahora estoy desde Ubuntu 10.10 x64, cuáles son los pasos para una instalación limpia de los drivers propietarios? es mejor cambiarlos que los Radeon supongo. Saludos!

+1
0
-1
Imagen de 1antares1
+1
0
-1

Te retomo parte de mi comentario anterior, pero con mejoras y facilidad en la instalación, aún más rápida:

______________________________________________________________________________________

Ok.

- Abríras Centro de Software de Ubuntu. Irás a "Orígenes de Software".

- En "Otro Software"

- Clic "Añadir" y Agregarás el siguiente Repositorio:

ppa:ubuntu-x-swat/x-updates

- Éste repositorio, son los paquetes de Drivers más actualizados y estable hasta el momento. No necesitas ya bajar el último driver de ATI en su web, para extraer, compilar e instalar, ya que también a veces hay errores en las expecificaciones de paquetes según las distribuciones que utilicemos.

Con éste Repositorio, obtendrás el último driver estable de ATI, siendo ahora la versión 8.791 como está puesto en sus paquetes actualizados de abajo.

- Cerramos, nos pedirá "Recargar" y lo haremos.

- Luego buscarás en el Centro de Software o Synaptic:

FGLRX

- Lo instalamos con todos los paquetes que nos pedirá o sino, instalamos todos los paquetes que contengan "FGLRX", como el amdcccle.

- De ahí, nos toca reiniciar!

De aquí, todo es igual.

_______________________________________________________________________________________

Al reiniciar, ya debes tener el driver instalado. Pero antes debes generar el Xorg para que pueda trabajar el Driver FGLRX de la ATI y con mayor confianza, decir que está activado el Driver y puedas hacer las configuraciones deseadas después.

- Abrirás el Terminal e introducirás:

sudo aticonfig --initial

Te dirá que generará un xorg.conf a la ruta: /etc/X11

Entras alli y verifica que se encuentre el xorg.conf.

Puedes entrar normalmente con:

- ALT + F2 Y escribirás:

-

gksu nautilus /etc/X11

Y enter!

Verificas el xorg.conf

El Xorg es el archivo de configuración entre tu hardware y el software gráfico que quieras ejecutar. Actualmente no es necesidad tener un Xorg para hacer funcionamiento del sistema, pero es mejor tenerlo y no necesitarlo, que necesitarlo y no tenerlo ;)

Sólo verifica que esté el contenido por defecto creado por ATI y que en la sección de Driver, diga:

"fglrx"

Y para comprobar desde consola la aceleración 3D, colocas:

glxgears

Y verás los FPS generado por el sencillo benchmark.

Si no has podido abrirlo, seguro tendrías que instalar "mesa-utils" que igual te lo pedirá. Lo instalas y luego vuelves a probar.

Bueno, si el proceso ha ido correctamente hasta ahora, hazmelo saber! Para luego andar para la configuración y personalización del Plymouth = Imagen de pantalla de inicio.

Espero haber sido explicito y especifico. Si tienes alguna duda, problema o confusión, acá no te faltarán respuestas.

Procede y avísame ;)

Saludos!

+1
0
-1

30 de Marzo 2008 - [Gabi & José] | Numeoli

Sólo hay 2 clases de personas. Las que piensan que hay 2 clases de personas y las que no.

Imagen de Kmp
+1
0
-1

Hasta ahora funciona de lo más bien, eso si tuve que instalar todo lo que tuviera fglrx en el nombre (y me dejara instalarlo) pero hasta el momento todo anda bien, ahora me figuran los controladores de OpenGl en el catalyst, muchas gracias! ahora solo me queda el drama de instalar la impresora. Saludos!

+1
0
-1
Imagen de Ro.dolfo
+1
0
-1

Hola, tengo una tarjeta ati integrada
especificamente una ATI HD 3300

hace algún tiempo intente instalarla en un ubuntu 10.04 pero me daba muchos errores así que desistí y ahora que vi tu post me dio el animo a probar de nuevo y ver como me iba

seguí todos los pasos y la instalación me anduvo perfecto
los problemas empiezan a aparecer cuando reinicio el PC

primero la ventana de login se me "pixela" y como que tiene mala taza de refresco..
despues de entrar al sistema ese problema disminuye bastante solo se nota en el cursor del mouse al pasarlo por espacios blancos ( casillas del navegador etc ) pero es algo totalmente soportable..

Al primer uso del glxgears funciona perfecto, salen los engranajes etc..
hasta que después de un rato, como q pierde el renderizado 3D y se ve así

http://i51.tinypic.com/358ri1v.png

ni hablar de cuando abro algún juego tanto en wine o nativo
sin contar que a veces al abrir uno hasta se me cuelga el sistema

acá te dejo algo de info para ver si me puedes ayudar en algo

  *-display               
       description: VGA compatible controller
       product: Radeon HD 3300 Graphics
       vendor: ATI Technologies Inc
       physical id: 5
       bus info: pci@0000:01:05.0
       version: 00
       width: 32 bits
       clock: 33MHz
       capabilities: pm msi vga_controller bus_master cap_list rom
       configuration: driver=fglrx_pci latency=0
       resources: irq:18 memory:d0000000-dfffffff ioport:b000(size=256) memory:fe9f0000-fe9fffff memory:fe800000-fe8fffff

configuración del xorg

Section "ServerLayout"
	Identifier     "aticonfig Layout"
	Screen      0  "aticonfig-Screen[0]-0" 0 0
EndSection

Section "Module"
EndSection

Section "Monitor"
	Identifier   "aticonfig-Monitor[0]-0"
	Option	    "VendorName" "ATI Proprietary Driver"
	Option	    "ModelName" "Generic Autodetecting Monitor"
	Option	    "DPMS" "true"
EndSection

Section "Device"
	Identifier  "aticonfig-Device[0]-0"
	Driver      "fglrx"
	BusID       "PCI:1:5:0"
EndSection

Section "Screen"
	Identifier "aticonfig-Screen[0]-0"
	Device     "aticonfig-Device[0]-0"
	Monitor    "aticonfig-Monitor[0]-0"
	DefaultDepth     24
	SubSection "Display"
		Viewport   0 0
		Depth     24
	EndSubSection
EndSection

Saludos !

+1
0
-1
Imagen de brunachox
+1
0
-1

hola mira el problema lo tengo en realidad con la conexión a mi tv lcd lg 32'' no me reconoce la conexión y cuando entro en modo de recuperación me desactiva los drivers y las resolución nunca queda bien espero puedas ayudarme tengo una tarjeta ati hd 5450.

+1
0
-1
Imagen de 1antares1
+1
0
-1

Perfecto kmp, me alegro que hayas completado la instalación en Drivers ATI ;)

________________________________________________________________________

Ro.dolfo: ¿Seguiste todos los pasos de instalación que hice acá?

http://www.ubuntu-es.org/node/144699#comment-411974

A ver ¿Puedes mandarme la versión del FGLRX que tienes en el repositorio? Si seguiste los pasos, debes tener el 8.79, igual verifica y me avisas.

Lo del Login, es normal. Lee acá lo que causa la instalación de Drivers ATI, ésto es un detalle que se arregla en unos pequeños pasos:

http://www.ubuntu-es.org/node/144699#comment-410308

(Sobre el plymouth).

Tambien verifica con que kernel inicias (en el grub) y me avisas.

_______________________________________________________________________

brunachox, tendrías que darme más información. Iniciar en Modo Seguro, inicia con el Driver VESA, que es el Driver genérico para cualquier PC, es como "A prueba de fallos" de Windows. Ahí no te iniciará los controladores totalmente, es sólo para verificar las fallas y configurar sin problemas.

El problema puede ser el Hardware. Pero ¿Pudiste hacer la instalación correcta de Drivers?

http://www.ubuntu-es.org/node/144699#comment-411974

¿Podrías mandarme información del display y el xorg como la mandó Ro.dolfo?

Saludos! Verifiquen y avisen.

+1
0
-1

30 de Marzo 2008 - [Gabi & José] | Numeoli

Sólo hay 2 clases de personas. Las que piensan que hay 2 clases de personas y las que no.

Imagen de brunachox
+1
0
-1

me olvide d decirte que anda perfecto en un monitor de 19 pulgadas el dramas es en el lcd de 32 pulgadas

+1
0
-1
Imagen de Kmp
+1
0
-1

¿A qué te referías con eso de configurar el Plymouth? Saludos!

+1
0
-1

Páginas